/*==================================================================
	File:		ZStringTypes.h
	
	Contains:	Core type definitions for ZStrings module.

	Written by:	Eric Traut
	
	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#ifndef __ZSTRINGTYPES__
#define __ZSTRINGTYPES__

typedef unsigned char		Z_UInt8;
typedef unsigned short		Z_UInt16;
typedef unsigned long		Z_UInt32;

typedef signed char			Z_SInt8;
typedef signed short		Z_SInt16;
typedef signed long			Z_SInt32;

typedef bool				Z_Boolean;

// Define the check() macro if you want to use
// assertions to debug the code. The parameter
// is a boolean statement.
#ifndef check
#define check(x)
#endif

// Define the debug_str() macro if you want to see
// debugger output. The parameter is a C-style string.
#ifndef debug_str
#define debug_str(x)
#endif

#endif // __ZSTRINGTYPES__


