/*==================================================================
	File:		LinuxZString.h
	
	Contains:	Linux-specific parsing for ZStrings.
                Okay, not really linux specific, but maybe X specific

	Written by: Jeremy Alves	
	
	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#ifndef LINUXZSTRING_H
#define LINUXZSTRING_H

#include "ZString.h"
#include "ZStringParser.h"


/*==================================================================
	LinuxZString
==================================================================*/

struct LinuxZString : public ZString
{
    public:
		// Initialization & Teardown
		static void
		Initialize();
		
		static void
		TearDown();

		static const char *
		GetNamedCString(
			const char *		inNamedString);		
};


/*==================================================================
	LinuxZStringParser
==================================================================*/

class LinuxZStringParser : public ZStringParser
{
	public:
	
		virtual Z_UInt16
		GetTagReplacement(
			ZStringTagID				inTagID,
			char *						outReplacement);
};

#endif // LINUXZSTRING_H


