/*==================================================================
	File:		FileIconPane.h

	Contains:	Implementation of a simple pane that draws the icon
				associated with a file (specified as either an IconRef
				or a color icon ID).

	Written by:	Eric Traut

	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/


#pragma once

#include <LPane.h>


const ResIDT		icon_UnknownFileTypeIcon		= 128;
const ResIDT		icon_HTMLFileTypeIcon			= 129;

class FileIconPane : public LPane
{
	public:
		enum { class_ID = FOUR_CHAR_CODE('IRPn') };

		FileIconPane(
			LStream *		inStream);
		
		virtual
		~FileIconPane();
		
		void
		SetIconRef(
			IconRef		inIconRef);
		
		void
		SetIconID(
			ResID		inColorIconID);
		
		void
		DrawSelf();

	private:
		IconRef		mIconRef;
		ResID		mIconID;
		Boolean		mUseIconID;
};



