/*==================================================================
	File:		FileSelectionGroupView.h

	Contains:	Class that extends the standard PowerPlant
				group box to allow for drag and drop of files.

	Written by:	Eric Traut

	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#pragma once

#include <LTextGroupBox.h>
#include <LDragAndDrop.h>


class FileSelectionGroupView : public LTextGroupBox, public LDragAndDrop
{
	public:
		enum { class_ID = FOUR_CHAR_CODE('FlTG') };

		FileSelectionGroupView(
			LStream *		inStream);
		
		virtual
		~FileSelectionGroupView();

		virtual void
		HiliteDropArea(
			DragReference	inDragRef);

	protected:
		virtual Boolean
		ItemIsAcceptable(
			DragReference		inDragRef,
			ItemReference		inItemRef);

		virtual void
		ReceiveDragItem(
			DragReference		inDragRef,
			DragAttributes		inDragAttrs,
			ItemReference		inItemRef,
			Rect&				inItemBounds);
};


