/*==================================================================
	File:		MacZStringToolApp.cp

	Contains:	Primary application class for the Mac ZString tool
				(based on the PowerPlant framework)

	Written by:	Eric Traut

	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#ifndef _H_MacZStringToolApp
#define _H_MacZStringToolApp
#pragma once

#include <LApplication.h>

class MacZStringToolApp : public LApplication
{
	public:
		MacZStringToolApp();
		
		virtual
		~MacZStringToolApp();

		virtual Boolean
		ObeyCommand(
			CommandT			inCommand,
			void *				ioParam = NULL);	

		virtual void
		FindCommandStatus(
			CommandT			inCommand,
			Boolean&			outEnabled,
			Boolean&			outUsesMark,
			UInt16&				outMark,
			Str255				outName);

	protected:
		virtual void
		StartUp();
		
		void
		RegisterClasses();
};

#endif // _H_MacZStringToolApp


