/*==================================================================
	File:		Win32ZString.h
	
	Contains:	Windows-specific parsing for ZStrings.

	Written by:	Nalini Prakash
	
	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#ifndef __WIN32ZSTRING__
#define __WIN32ZSTRING__


#include "ZString.h"
#include "ZStringTypes.h"
#include "ZStringParser.h"


/*==================================================================
	ZString
==================================================================*/

class Win32ZString : public ZString
{
	public:
		// Initialization & Teardown
		static void
		Initialize();
		
		static void
		TearDown();

		static Z_UInt16
		CalcOverrideDictionaryID();

		// Dictionary methods
		static Z_Boolean
		LoadOverrideDictionary(
			Z_UInt16			inOverrideID);
 
		static Z_Boolean
		LoadOverrideDictionary(
			const char *		inFilename);

	private:
		static char *		sDictionaryData;	
};


class Win32ZStringParser : public ZStringParser
{
	public:
		virtual Z_UInt16
		GetTagReplacement(
			ZStringTagID				inTagID,
			char *						outReplacement);
};


#endif								// __WIN32ZSTRING__


