/*==================================================================
	File:		Win32ZStringToolsDlg.h

	Contains:	Tool for creating override libraries for
				ZStrings on the  Windows

	Written by:	Nalini Prakash

	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/


#if !defined(AFX_WIN32ZSTRINGTOOLSDLG_H__18E49FE3_148D_4AF3_9730_4EE4D953DE8C__INCLUDED_)
#define AFX_WIN32ZSTRINGTOOLSDLG_H__18E49FE3_148D_4AF3_9730_4EE4D953DE8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "AcceptFilesEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CWin32ZStringToolsDlg dialog

class CWin32ZStringToolsDlg : public CDialog
{
// Construction
public:
	CWin32ZStringToolsDlg(
		CWnd *		pParent = NULL);	// standard constructor

	enum {
		kOutputNumericTag	= 0,
		kOutputAlphaTag		= 1
	};

// Dialog Data
	//{{AFX_DATA(CWin32ZStringToolsDlg)
	enum { IDD = IDD_WIN32ZSTRINGTOOLS_DIALOG };
	AcceptFilesEdit	mCtrlSourceFile;
	AcceptFilesEdit	mCtrlCompareFile;
	AcceptFilesEdit	mCtrlDestFile;
	CString			mCompareFileName;
	CString			mDestFileName;
	CString			mSourceFileName;
	BOOL			mCategorizeOutput;
	BOOL			mAllowTagSemicolon;
	int				mOutputTagFormat;
	BOOL	mFlagDuplicates;
	BOOL	mOutputWarnings;
	BOOL	mConvertHighASCIIChar;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWin32ZStringToolsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWin32ZStringToolsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExtract();
	afx_msg void OnOverride();
	afx_msg void OnOk();
	virtual void OnCancel();
	afx_msg void OnChangeEDITBoxes();
	afx_msg void OnBrowseSource();
	afx_msg void OnBrowseDestination();
	afx_msg void OnBrowseCompare();
	afx_msg void OnCompare();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void 
	UpdateButtons();

	static char *			sSourceFileTitle;
	static char *			sCompareFileTitle;
	static char *			sDestFileTitle;

	CString
	GetFileName(
		char*	dialogTitle);		
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WIN32ZSTRINGTOOLSDLG_H__18E49FE3_148D_4AF3_9730_4EE4D953DE8C__INCLUDED_)

